<mat-card class="selection">
	<lib-single-select
		[control]="form.controls.range"
		[optionsSubject]="rangeOptions"
		[required]="true"
		label="transl.simple.range"
		translationPrefix="transl.range."
		tabOrder="1"
	></lib-single-select>
	<lib-single-select
		[control]="form.controls.aggregation"
		[optionsSubject]="aggregationOptions"
		[required]="true"
		label="transl.simple.aggregation"
		translationPrefix="transl.aggregation."
		tabOrder="1"
	></lib-single-select>
	<lib-single-select
		[control]="form.controls.resolution"
		[optionsSubject]="resolutionOptions"
		[required]="true"
		label="transl.simple.resolution"
		translationPrefix="transl.resolution."
		tabOrder="1"
	></lib-single-select>
	<lib-input-field [control]="form.controls.type" label="transl.simple.type" tabOrder="1"></lib-input-field>
	<lib-input-field [control]="form.controls.field" label="transl.simple.field" tabOrder="1"></lib-input-field>
	<mat-form-field appearance="outline">
		<mat-label>Enter a date range</mat-label>
		<mat-date-range-input [formGroup]="form" [rangePicker]="picker">
			<input matStartDate formControlName="start" placeholder="Start date" />
			<input matEndDate formControlName="end" placeholder="End date" />
		</mat-date-range-input>
		<mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
		<mat-date-range-picker #picker></mat-date-range-picker>

		<mat-error *ngIf="form.controls.start.hasError('matStartDateInvalid')">Invalid start date</mat-error>
		<mat-error *ngIf="form.controls.end.hasError('matEndDateInvalid')">Invalid end date</mat-error>
	</mat-form-field>
</mat-card>
<mat-card class="chart-wrapper">
	<ngx-charts-line-chart [results]="results" [xAxis]="true" [yAxis]="true" [view]=""></ngx-charts-line-chart>
</mat-card>
